{% extends "src/html/_template.njk" %}
{% set title = "E-Tips Platfrom | E-Tips" %}
{% block content %}
    <div class="amount-input">
        <input type="text" name="amount" placeholder="Enter tips amount" data-amount>
    </div>
    <div class="suggests" data-suggests>
        <button type="button" class="suggest" data-suggest="50">
            <span class="suggest__wrap">
                50 <sup>AED</sup>
            </span>
        </button>
        <button type="button" class="suggest" data-suggest="100">
            <span class="suggest__wrap">
                100 <sup>AED</sup>
            </span>
        </button>
        <button type="button" class="suggest" data-suggest="150">
            <span class="suggest__wrap">
                150 <sup>AED</sup>
            </span>
        </button>
        <button type="button" class="suggest" data-suggest="200">
            <span class="suggest__wrap">
                200 <sup>AED</sup>
            </span>
        </button>
    </div>
    <div class="h3 text-center">Please rate our service</div>
    <div class="rating" data-rating>
        <button class="rating__button" data-rating-item="5">
            <i>
                <svg viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" class="ico-svg">
                    <path d="M7.296 6.363a.5.5 0 0 1-.395.287l-5.335.632a.5.5 0 0 0-.28.864l3.943 3.647a.5.5 0 0 1 .151.465l-1.047 5.27a.5.5 0 0 0 .735.533l4.688-2.624a.5.5 0 0 1 .488 0l4.688 2.624a.5.5 0 0 0 .734-.534l-1.046-5.27a.5.5 0 0 1 .15-.464l3.945-3.647a.5.5 0 0 0-.281-.864l-5.335-.632a.5.5 0 0 1-.395-.287l-2.25-4.879a.5.5 0 0 0-.908 0l-2.25 4.879ZM10 4.08 8.658 6.99a2 2 0 0 1-1.58 1.148l-3.183.378 2.353 2.175a2 2 0 0 1 .603 1.858l-.624 3.143 2.796-1.565a2 2 0 0 1 1.954 0l2.796 1.565-.625-3.143a2 2 0 0 1 .604-1.858l2.352-2.175-3.181-.378a2 2 0 0 1-1.581-1.148L10 4.08Z"></path>
                </svg>
            </i>
        </button>
        <button class="rating__button" data-rating-item="4">
            <i>
                <svg viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" class="ico-svg">
                    <path d="M7.296 6.363a.5.5 0 0 1-.395.287l-5.335.632a.5.5 0 0 0-.28.864l3.943 3.647a.5.5 0 0 1 .151.465l-1.047 5.27a.5.5 0 0 0 .735.533l4.688-2.624a.5.5 0 0 1 .488 0l4.688 2.624a.5.5 0 0 0 .734-.534l-1.046-5.27a.5.5 0 0 1 .15-.464l3.945-3.647a.5.5 0 0 0-.281-.864l-5.335-.632a.5.5 0 0 1-.395-.287l-2.25-4.879a.5.5 0 0 0-.908 0l-2.25 4.879ZM10 4.08 8.658 6.99a2 2 0 0 1-1.58 1.148l-3.183.378 2.353 2.175a2 2 0 0 1 .603 1.858l-.624 3.143 2.796-1.565a2 2 0 0 1 1.954 0l2.796 1.565-.625-3.143a2 2 0 0 1 .604-1.858l2.352-2.175-3.181-.378a2 2 0 0 1-1.581-1.148L10 4.08Z"></path>
                </svg>
            </i>
        </button>
        <button class="rating__button" data-rating-item="3">
            <i>
                <svg viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" class="ico-svg">
                    <path d="M7.296 6.363a.5.5 0 0 1-.395.287l-5.335.632a.5.5 0 0 0-.28.864l3.943 3.647a.5.5 0 0 1 .151.465l-1.047 5.27a.5.5 0 0 0 .735.533l4.688-2.624a.5.5 0 0 1 .488 0l4.688 2.624a.5.5 0 0 0 .734-.534l-1.046-5.27a.5.5 0 0 1 .15-.464l3.945-3.647a.5.5 0 0 0-.281-.864l-5.335-.632a.5.5 0 0 1-.395-.287l-2.25-4.879a.5.5 0 0 0-.908 0l-2.25 4.879ZM10 4.08 8.658 6.99a2 2 0 0 1-1.58 1.148l-3.183.378 2.353 2.175a2 2 0 0 1 .603 1.858l-.624 3.143 2.796-1.565a2 2 0 0 1 1.954 0l2.796 1.565-.625-3.143a2 2 0 0 1 .604-1.858l2.352-2.175-3.181-.378a2 2 0 0 1-1.581-1.148L10 4.08Z"></path>
                </svg>
            </i>
        </button>
        <button class="rating__button" data-rating-item="2">
            <i>
                <svg viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" class="ico-svg">
                    <path d="M7.296 6.363a.5.5 0 0 1-.395.287l-5.335.632a.5.5 0 0 0-.28.864l3.943 3.647a.5.5 0 0 1 .151.465l-1.047 5.27a.5.5 0 0 0 .735.533l4.688-2.624a.5.5 0 0 1 .488 0l4.688 2.624a.5.5 0 0 0 .734-.534l-1.046-5.27a.5.5 0 0 1 .15-.464l3.945-3.647a.5.5 0 0 0-.281-.864l-5.335-.632a.5.5 0 0 1-.395-.287l-2.25-4.879a.5.5 0 0 0-.908 0l-2.25 4.879ZM10 4.08 8.658 6.99a2 2 0 0 1-1.58 1.148l-3.183.378 2.353 2.175a2 2 0 0 1 .603 1.858l-.624 3.143 2.796-1.565a2 2 0 0 1 1.954 0l2.796 1.565-.625-3.143a2 2 0 0 1 .604-1.858l2.352-2.175-3.181-.378a2 2 0 0 1-1.581-1.148L10 4.08Z"></path>
                </svg>
            </i>
        </button>
        <button class="rating__button" data-rating-item="1">
            <i>
                <svg viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" class="ico-svg">
                    <path d="M7.296 6.363a.5.5 0 0 1-.395.287l-5.335.632a.5.5 0 0 0-.28.864l3.943 3.647a.5.5 0 0 1 .151.465l-1.047 5.27a.5.5 0 0 0 .735.533l4.688-2.624a.5.5 0 0 1 .488 0l4.688 2.624a.5.5 0 0 0 .734-.534l-1.046-5.27a.5.5 0 0 1 .15-.464l3.945-3.647a.5.5 0 0 0-.281-.864l-5.335-.632a.5.5 0 0 1-.395-.287l-2.25-4.879a.5.5 0 0 0-.908 0l-2.25 4.879ZM10 4.08 8.658 6.99a2 2 0 0 1-1.58 1.148l-3.183.378 2.353 2.175a2 2 0 0 1 .603 1.858l-.624 3.143 2.796-1.565a2 2 0 0 1 1.954 0l2.796 1.565-.625-3.143a2 2 0 0 1 .604-1.858l2.352-2.175-3.181-.378a2 2 0 0 1-1.581-1.148L10 4.08Z"></path>
                </svg>
            </i>
        </button>
    </div>
    <div class="mb-15">
        <div class="field">
            <textarea name="message" id=""  rows="3" placeholder="Tell us more about your experience"></textarea>
        </div>
    </div>
    <div class="google-review" data-review>
        <label class="pretty-checkbox">
            <input type="checkbox" class="pretty-checkbox__input">
            <span class="pretty-checkbox__label">
                <span class="pretty-checkbox__title">Add Review to Google</span>
                <span class="pretty-checkbox__text">We will copy your review above. Just paste it into a new tab</span>
            </span>
        </label>
    </div>
    <div class="details">
        <button type="button" class="detail-button" data-detail>
            <i class="detail-button__wrap">
                <i class="detail-button__icon">
                    <svg class="ico-svg" viewBox="0 0 54 60" xmlns="http://www.w3.org/2000/svg">
                        <use xlink:href="img/sprites/sprite-mono.svg#chat" xmlns:xlink="http://www.w3.org/1999/xlink"></use>
                    </svg>
                </i>
                <span class="detail-button__text">Nice <br/>atmosphere</span>
            </i>
        </button>
        <button type="button" class="detail-button" data-detail>
            <i class="detail-button__wrap">
                <i class="detail-button__icon">
                    <svg class="ico-svg" viewBox="0 0 54 60" xmlns="http://www.w3.org/2000/svg">
                        <use xlink:href="img/sprites/sprite-mono.svg#hookah" xmlns:xlink="http://www.w3.org/1999/xlink"></use>
                    </svg>
                </i>
                <span class="detail-button__text">Excellent <br/>shisha</span>
            </i>
        </button>
        <button type="button" class="detail-button" data-detail>
            <i class="detail-button__wrap">
                <i class="detail-button__icon">
                    <svg class="ico-svg" viewBox="0 0 54 60" xmlns="http://www.w3.org/2000/svg">
                        <use xlink:href="img/sprites/sprite-mono.svg#service" xmlns:xlink="http://www.w3.org/1999/xlink"></use>
                    </svg>
                </i>
                <span class="detail-button__text">Perfect <br/>service</span>
            </i>
        </button>
    </div>
{% endblock %}

{% block header %}
    <header class="header">
        <div class="container">
            <div class="user" data-person>
                <button type="button" class="user__media" data-hystmodal="#switcher">
                    <i class="user__avatar">
                        <img src="img/user_photo.webp" class="img-fluid" alt="" data-person-avatar>
                    </i>
                    <span class="user__switcher">
                        <span></span>
                        <span></span>
                        <span></span>
                    </span>
                </button>
                <div class="user__name" data-person-name>Denis</div>
                <div class="user__text" data-person-text>It is a long established fact that</div>
            </div>
        </div>
    </header>
{% endblock %}

{% block footer %}
    <footer class="footer">
        <div class="container">
            <div class="footer__wrap">
                <div class="footer__text">Follow us to stay connected</div>
                <a href="#" class="footer__link">
                    <i>
                        <svg viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" class="ico-svg">
                            <path d="M18.552 13.6c-.046.358-.062.723-.14 1.074-.436 1.954-1.635 3.16-3.591 3.601-2.872.648-6.766.64-9.574-.004-1.932-.444-3.124-1.634-3.566-3.569-.637-2.796-.544-6.58-.027-9.443.193-1.074.67-1.997 1.51-2.717.871-.747 1.908-1.048 3.025-1.136 2.277-.178 4.693-.242 6.97-.034.498.044 1.001.06 1.494.138 2.07.325 3.574 1.894 3.832 3.973.318 2.577.399 5.539.067 8.117Zm-4.075 3.167c1.186-.24 1.988-.922 2.349-2.095.178-.583.209-1.186.215-1.786.017-1.729.02-3.458.014-5.187-.002-.73.001-1.462-.142-2.182-.25-1.26-.973-2.084-2.233-2.41-.714-.185-1.448-.182-2.176-.192-1.327-.018-2.655-.012-3.982-.008-.936.003-1.877-.025-2.803.14-1.287.23-2.139.956-2.476 2.245-.159.61-.178 1.236-.183 1.858-.018 2.349-.228 4.803.134 7.135.134.864.554 1.57 1.305 2.05.57.363 1.213.503 1.874.529 2.598.1 5.527.426 8.104-.097Z"></path><path d="M14.454 10.05a4.4 4.4 0 0 1-4.588 4.26 4.39 4.39 0 0 1-4.22-4.577A4.397 4.397 0 0 1 10.2 5.505a4.407 4.407 0 0 1 4.255 4.544Zm-4.39 2.705a2.84 2.84 0 0 0 2.834-2.858 2.843 2.843 0 0 0-2.856-2.838 2.84 2.84 0 0 0-2.84 2.868 2.837 2.837 0 0 0 2.862 2.828Zm3.535-7.415a1.027 1.027 0 0 1 1.018-1.04 1.037 1.037 0 0 1 1.04 1.024 1.026 1.026 0 0 1-1.023 1.035 1.015 1.015 0 0 1-1.035-1.018Z"></path>
                        </svg>
                    </i>
                </a>
            </div>
        </div>
    </footer>
{% endblock %}

{% block panel %}
    <div class="panel" data-panel>
        <div class="container">
            <div class="panel__base">
                <button class="btn" disabled data-panel-feedback  data-hystmodal="#feedback">
                    <i>
                        <svg viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" class="ico-svg">
                            <path d="M7 10.75a.75.75 0 1 0 0-1.5.75.75 0 0 0 0 1.5Zm3.75-.75a.75.75 0 1 1-1.5 0 .75.75 0 0 1 1.5 0Zm2.25.75a.75.75 0 1 0 0-1.5.75.75 0 0 0 0 1.5Z"></path><path fill-rule="evenodd" clip-rule="evenodd" d="M3.021 13.914 2 18l4.086-1.021a8 8 0 1 0-3.064-3.064Zm1.04 2.024.56-2.239-.292-.52a6.5 6.5 0 1 1 2.492 2.492l-.52-.292-2.24.56Z"></path>
                        </svg>
                    </i>
                    <span>Leave feedback</span>
                </button>
            </div>
            <div class="panel__payment">
                <div class="btn-group">
                    <button class="btn btn-gpay"></button>
                    <button class="btn">
                        <i>
                            <svg viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" class="ico-svg">
                                <path d="M10.954 11.34c.426.36.871.627 1.446.627.503 0 .963-.294.963-.835 0-.544-.506-.81-1.01-.81-.335 0-.691.115-1.01.289l-.918-.35.183-3.078h3.773V8.33h-2.653l-.05 1.125c.321-.131.65-.199 1.002-.199.394 0 .742.075 1.04.23.606.297.957.879.957 1.6 0 .794-.415 1.443-1.118 1.784-1.066.515-2.432.236-3.298-.531l-.092-.082.785-.915Z"></path><path fill-rule="evenodd" clip-rule="evenodd" d="M10 17.456a7.778 7.778 0 1 1 0-14.911 7.778 7.778 0 1 1 0 14.911ZM1.5 10a6.278 6.278 0 0 1 6.127-6.276A7.767 7.767 0 0 0 4.444 10a7.767 7.767 0 0 0 3.183 6.276A6.278 6.278 0 0 1 1.5 10Zm17 0a6.278 6.278 0 1 1-12.555 0A6.278 6.278 0 0 1 18.5 10Z"></path>
                            </svg>
                        </i>
                        <span>Leave a tip</span>
                    </button>
                </div>
            </div>
        </div>
    </div>
{% endblock %}


{% block modal %}
    <div class="hystmodal" id="switcher" aria-hidden="true">
        <div class="hystmodal__wrap">
            <div class="hystmodal__window modal modal--fullscreen" role="dialog" aria-modal="true" data-fullscreen>
                <button data-hystclose class="hystmodal__close">Закрыть</button>
                <div class="modal__header">User selection</div>
                <div class="modal__main">
                    <ul class="user-list" data-users>
                        <li class="user-list__item">
                            <button
                                type="button"
                                class="user-selection active"
                                data-user="Denis"
                                data-user-text="Vivamus pulvinar mattis dui vel maximus"
                                data-user-avatar="img/user_photo.webp">
                                <i class="user-selection__avatar">
                                    <img src="img/user_photo.webp" class="img-fluid" alt="">
                                </i>
                                <span class="user-selection__name">Denis</span>
                            </button>
                        </li>
                        <li class="user-list__item">
                            <button
                                type="button"
                                class="user-selection"
                                data-user="Dmitriy Popov"
                                data-user-text="Donec facilisis odio a libero bibendum"
                                data-user-avatar="img/user_avatar_02.webp">
                                <i class="user-selection__avatar">
                                    <img src="img/user_photo.webp" class="img-fluid" alt="">
                                </i>
                                <span class="user-selection__name">Dmitriy Popov</span>
                            </button>
                        </li>
                        <li class="user-list__item">
                            <button
                                type="button"
                                class="user-selection"
                                data-user="Alina Vikhrova"
                                data-user-text="Quisque in eros efficitur, malesuada neque"
                                data-user-avatar="img/avatar_empty.webp">
                                <i class="user-selection__avatar">
                                    <img src="img/user_photo.webp" class="img-fluid" alt="">
                                </i>
                                <span class="user-selection__name">Alina Vikhrova</span>
                            </button>
                        </li>
                        <li class="user-list__item">
                            <button
                                type="button"
                                class="user-selection"
                                data-user="Igor Smolov"
                                data-user-text="Aenean tempor ipsum elit"
                                data-user-avatar="img/user_photo.webp">
                                <i class="user-selection__avatar">
                                    <img src="img/user_photo.webp" class="img-fluid" alt="">
                                </i>
                                <span class="user-selection__name">Igor Smolov</span>
                            </button>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>

    <div class="hystmodal" id="feedback" aria-hidden="true">
        <div class="hystmodal__wrap hystmodal__wrap--padding">
            <div class="hystmodal__window modal modal--radius" role="dialog" aria-modal="true">
                <button data-hystclose class="hystmodal__close">Закрыть</button>
                <div class="modal-power">
                    <div class="modal-power__text">Powered by</div>
                    <div class="modal-power__logo">
                        <svg viewBox="0 0 57 13" xmlns="http://www.w3.org/2000/svg" class="ico-svg">
                            <path d="M27.934 9.135c-.719.903-1.692 1.344-2.919 1.344-1.1 0-1.988-.315-2.665-.966-.656-.63-.995-1.47-.995-2.521 0-1.03.318-1.85.931-2.521.614-.652 1.481-.988 2.602-.988.93 0 1.714.294 2.327.862.614.567.91 1.323.91 2.248 0 .273-.043.63-.106 1.092h-4.675c.17.693.74 1.05 1.713 1.05.275 0 .55-.041.804-.126a2.055 2.055 0 0 1 2.073.526Zm-4.548-3.068h2.771c-.148-.588-.592-.882-1.353-.882-.72 0-1.185.294-1.418.882ZM29.69 7.56c0-.925.762-1.682 1.693-1.682h2.263a1.69 1.69 0 0 1-1.692 1.681H29.69Zm7.361-5.485h.19v1.576h2.095v1.744h-2.073V7.58c0 .82.19 1.134.698 1.134.867 0 1.587.715 1.587 1.576v.168H37.77c-1.46 0-2.39-.798-2.39-2.31V3.755c-.022-.924.74-1.68 1.67-1.68Zm3.469 8.299V5.332c0-.924.762-1.68 1.693-1.68h.19v6.743H40.52v-.02Zm0-7.184v-.526c0-.925.762-1.68 1.693-1.68h.19v.335c.021 1.03-.825 1.87-1.883 1.87Zm3.195 9.789V3.651h1.882v.357c.36-.315.868-.483 1.524-.483 1.015 0 1.819.315 2.432.945.593.63.91 1.45.91 2.458 0 1.03-.317 1.891-.93 2.564-.635.672-1.44 1.008-2.476 1.008-.761 0-1.27-.126-1.46-.336v1.05A1.79 1.79 0 0 1 43.8 13h-.085v-.021Zm1.882-6.975v2.143c.212.315.678.567 1.206.567 1.037 0 1.693-.651 1.693-1.68 0-1.177-.593-1.807-1.587-1.807-.592.02-1.036.273-1.312.777Zm6.961 1.366c-.762-.315-1.375-.946-1.375-1.786 0-1.303 1.1-2.08 2.92-2.08 1.247 0 2.368.546 2.813 1.219l-.318.315a1.693 1.693 0 0 1-1.777.399c-.317-.126-.677-.168-1.078-.168-.381 0-.593.105-.593.315 0 .294 1.375.483 2.496.924.762.316 1.354.967 1.354 1.85 0 .693-.275 1.239-.804 1.575-.55.357-1.248.546-2.052.546-1.565 0-2.728-.693-3.257-1.639.74-.483 1.67-.63 2.475-.294.296.126.634.19.973.19.465 0 .698-.127.698-.358 0-.336-1.375-.546-2.475-1.008Z"></path><path d="M0 7.626h10.133c1.692 0 3.067-1.365 3.067-3.046H3.067C1.375 4.58 0 5.946 0 7.626Z" fill="#E65050"></path><path d="M1.65 12.206h10.133c1.692 0 3.067-1.365 3.067-3.046H4.718c-1.693.02-3.068 1.365-3.068 3.046Zm2.412-9.16h10.132c1.693 0 3.068-1.365 3.068-3.046H7.129C5.437 0 4.062 1.366 4.062 3.046Z"></path>
                        </svg>
                    </div>
                </div>
                <div class="modal__main">
                    <div class="form-title">Thank you for your feedback!</div>
                    <div class="form-main">
                        <form>
                            <div class="form-group">
                                <div class="field">
                                    <input type="text" class="field__input" name="name" placeholder="Your name">
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="field">
                                    <input type="text" class="field__input" name="phone" placeholder="Phone number">
                                </div>
                            </div>
                            <div class="form-group mb-4">
                                <div class="field">
                                    <input type="text" class="field__input" name="email" placeholder="Email">
                                </div>
                            </div>
                            <button type="submit" class="btn">Submit</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}


